diff --git a/src/libFLAC/metadata_iterators.c b/src/libFLAC/metadata_iterators.c
index 4fd58c8..14d704f 100644
--- a/src/libFLAC/metadata_iterators.c
+++ b/src/libFLAC/metadata_iterators.c
@@ -48,7 +48,6 @@
 #include "FLAC/stream_decoder.h"
 #include "share/alloc.h"
 #include "share/compat.h"
-#include "share/macros.h"
 #include "share/safe_str.h"
 #include "private/macros.h"
 #include "private/memory.h"
@@ -3360,8 +3359,8 @@ void set_file_stats_(const char *filename, struct flac_stat_s *stats)
 	(void)flac_chmod(filename, stats->st_mode);
 	(void)flac_utime(filename, &srctime);
 #if !defined _MSC_VER && !defined __BORLANDC__ && !defined __MINGW32__
-	FLAC_CHECK_RETURN(chown(filename, stats->st_uid, -1));
-	FLAC_CHECK_RETURN(chown(filename, -1, stats->st_gid));
+	(void)chown(filename, stats->st_uid, -1);
+	(void)chown(filename, -1, stats->st_gid);
 #endif
 }
 
